RIGD(8)

NAME
rigd - Hamlib rig service daemon

SYNOPSIS
rpc.rigd [OPTION]...

DESCRIPTION
The rigd program is a Hamlib rig daemon that handles RPC client requests. This allows multiple user programs to share one radio. At this time multiple radio support is not available (help needed!).

Keep in mind that Hamlib is BETA level software. While a lot of backend libraries lack complete rig support, the basic functions are usually well supported. The API may change without publicized notice, while an advancement of the minor version (e.g. 1.1.x to 1.2.x) indicates such a change.

Please report bugs and provide feedback at the e-mail address given in the REPORTING BUGS section. Patches and code enhancements are also welcome.

OPTIONS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-').

Here is a summary of the supported options:

-m, --model=id
    Select radio model number. See rig model list (use 'rigctl -l').
    NB: rigctl (or third party software) will use rig model 1901 when using rigd.

-r, --rig-file=device
    Use device as the file name of the port the radio is connected. Often a serial port, but could be a USB to serial adapter. Typically /dev/ttyS0, /dev/ttyS1, /dev/ttyUSB0, etc.

-p, --ptt-file=device
    Use device as the file name of the Push-To-Talk device using a device file as described above.

-d, --dcd-file=device
    Use device as the file name of the Data Carrier Detect device using a device file as described above.

-p, --ptt-type=type
    Use type of Push-To-Talk device. Supported types are RIG, DTR, RTS, PARALLEL, NONE.

-d, --dcd-type=type
    Use type of Data Carrier Detect device. Supported types are RIG, DSR, CTS, CD, PARALLEL, NONE.

-s, --serial-speed=baud
    Set serial speed to baud rate. Uses maximum serial speed from rig backend capabilities as the default.

-c, --civaddr=id
    Use id as the CI-V address to communicate with the rig. Only useful for Icom rigs.
    NB: the id is in decimal notation, unless prefixed by 0x, in which case it is hexadecimal.

-C, --set-conf=parm=val[,parm=val]*
    Set config parameter. e.g. stop_bits=2
    Use -L option of rigctl for a list.

-t, --prog=number
    Use number as the RPC program number. The default is 536871065.

-v, --verbose
    Set verbose mode, cumulative (see DIAGNOSTICS below).

-h, --help
    Show a summary of these options and exit.

-V, --version
    Show the version of rigd and exit.

Please note that the backend for the radio to be controlled, or the radio itself may not support some commands. In that case, the operation will fail with a Hamlib error code.

EXAMPLES
Start rigd as root for a Yaesu FT-920 using a USB to serial adapter and backgrounding:

# rpc.rigd -m 114 -r /dev/ttyUSB1 &

Start rigd as root for a Yaesu FT-920 using COM1 while generating TRACE output:

# rpc.rigd -m 114 -r /dev/ttyS0 -vvvvv

Start rigd as root for a Yaesu FT-920 using a USB to serial adapter while setting baud rate and stop bits and backgrounding:

# rpc.rigd -m 114 -r /dev/ttyUSB1 -s 4800 -C stop_bits=2 &

DIAGNOSTICS
The -v, --version option allows different levels of diagnostics to be output to stderr and correspond to -v for BUG, -vv for ERR, -vvv for WARN, -vvvv for VERBOSE, or -vvvvv for TRACE.

A given verbose level is useful for providing needed debugging information to the email address below. For example, TRACE output shows all of the values sent to and received from the radio which is very useful for radio backend library development and may be requested by the developers.

SECURITY
No authentication whatsoever; could be done through domain restriction, though. Please ask if stronger security is needed.

BUGS
Does not support more than one rig that share the same serial port (e.g. Icom radios on a CI-V bus).

Does not support more than one communication device for multiple rig control. (e.g. for Single Operator 2 Radio) Help needed!

REPORTING BUGS
Report bugs to <hamlib-developer@lists.sourceforge.net>.
We are already aware of the bugs in the previous section :-)

AUTHORS
Written by Stephane Fillod and the Hamlib Group
<http://www.hamlib.org>.

COPYRIGHT
Copyright © 2000-2007 Stephane Fillod and the Hamlib Group.

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
rigctl(1), hamlib(3)